Bug 1423358 (CVE-2017-6058) - CVE-2017-6058 Qemu: net: vmxnet3: OOB NetRxPkt::ehdr_buf access when doing vlan stripping
Summary: CVE-2017-6058 Qemu: net: vmxnet3: OOB NetRxPkt::ehdr_buf access when doing vl...
Status: NEW
Alias: CVE-2017-6058
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170216,repor...
Keywords: Security
Depends On: 1423359
Blocks: 1419631
TreeView+ depends on / blocked
 
Reported: 2017-02-17 05:50 UTC by Prasad J Pandit
Modified: 2018-07-18 15:15 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Prasad J Pandit 2017-02-17 05:50:41 UTC
Quick Emulator(Qemu) built with the VMWARE VMXNET3 NIC device support
is vulnerable to an out-of-bounds access issue. It could occur while
stripping VLAN header from 'eth_buf' buffer in receiving packets.

A remote user/process could use this issue to crash Qemu process instance
resulting in DoS.

Note:- It requires 'VLANSTRIP' feature is enabled on the vmxnet3 device.

Upstream patch:
---------------
  -> https://lists.nongnu.org/archive/html/qemu-devel/2017-02/msg03527.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/02/17/2

Comment 1 Prasad J Pandit 2017-02-17 05:55:02 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1423359]


Note You need to log in before you can comment on or make changes to this bug.